GET students/{userIdentifier}/categoryDescendents/{categoryId}/results

Authorization

Access to this endpoint is granted if all following conditions are true:

  • Authenticated user passes at least one of the following conditions: Authenticated user matches a student who is assigned to content item result specified by "contentItemResultId" uri parameter or by content of request. Authenticated user is a staff member and is assigned to the same center as a user who matches a student who is assigned to content item result specified by "contentItemResultId" uri parameter or by content of request.
  • Authenticated user who is either StaffMember, Student

Request Information

URI Parameters

NameDescriptionTypeAdditional information
userIdentifier

PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier

Required

categoryId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PearsonEnglish.LearningServices.Core.Models.ContentItemResult
NameDescriptionTypeAdditional information
Id

globally unique identifier

None.

RegistrationId

globally unique identifier

None.

StudentId

globally unique identifier

None.

ContentItemId

globally unique identifier

None.

ContentItemResultTypeId

PearsonEnglish.LearningServices.Core.Models.Enums.ContentItemResultTypes

None.

Score

decimal number

None.

DateStarted

date

None.

DateCompleted

date

None.

Duration

integer

None.

Comment

string

None.

RefClassId

string

None.

TeacherId

globally unique identifier

None.

StudyMode

PearsonEnglish.LearningServices.Core.Models.Enums.StudyModes

None.

Response Formats

application/json, text/json

Sample:
{
  "Id": "dce1a7ab-d414-4fa1-8ff1-484ae02c5d55",
  "RegistrationId": "2ef3fa70-d8ae-4299-b83b-ab13907ce160",
  "StudentId": "df99cf64-514f-401d-8c0a-abe3d971c2c0",
  "ContentItemId": "e67cda55-0994-4da5-92d3-598137af639a",
  "ContentItemResultTypeId": 1,
  "Score": 1.0,
  "DateStarted": "2026-10-24T05:07:28.7316206+00:00",
  "DateCompleted": "2026-10-24T05:07:28.7316206+00:00",
  "Duration": 1,
  "Comment": "sample string 5",
  "RefClassId": "sample string 6",
  "TeacherId": "0b3029fd-9e77-4744-9fd4-e070d3ec5998",
  "StudyMode": 0
}